Create posts for all supported platforms. It is possible to create customized posts per channel by using the same platform account IDs in a request and hitting the create post API multiple times with different summaries and account IDs per platform.

The content and media limitations, as well as platform rate limiters corresponding to the respective platforms, are provided in the following reference link:

Link: Platform Limitations

http
PUT https://services.leadconnectorhq.com/social-media-posting/{locationId}/posts/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
idstringYes65fac446d599990d1313c1ddPost Id

Body

NameTypeRequiredExampleDescription
accountIdsstring[]NoAccount Ids
summarystringNoHello WorldPost Content The limitations of content as per the platforms is provided through the reference link in API description
  • media (object[]): Post Media Data The limitations of media as per the platforms is provided through the reference link in API description

    • url (string, required): Example: https://i0.wp.com/www.lifeofanarchitect.com/wp-content/uploads/2021/10/architectural-model-making-stairs.jpg

    • caption (string): Example: Caption 1

    • type (string): Example: video/mp4 or image/png

    • thumbnail (string): Example: https://storage.googleapis.com/test/test/media/test.jpeg

    • defaultThumb (string): Example: https://storage.googleapis.com/test/test/media/test.jpeg

    • id (string): Example: Edf3323fsfsdsd

NameTypeRequiredExampleDescription
statusobjectNodraftStatus must be one of the following values: in_progress, draft, failed, published, scheduled, in_review, notification_sent, deleted
scheduleDatestringNoSchedule Date
createdBystringNoCreated By
followUpCommentstringNoFirst commentFollow Up Comment on platform. It is not allowed on Tiktok and GMB accounts and there is a limit of 280 charecters for twitter account
ogTagsDetailsobjectNoOg Tags Meta Data
typeobjectYespostPost Type must be one of the following values: - post, story, reel
postApprovalDetailsobjectNoPost Approval Details
scheduleTimeUpdatedbooleanNoTrueif schedule datetime is updated
tagsstring[]NoArray of Tag Value
categoryIdstringNoCategory Id
tiktokPostDetailsobjectNoTiktok Post Details
gmbPostDetailsobjectNoGMB Post Details
userIdstringNosdfdsfdsfEWEsdfsdsW32ddUser ID

Responses

200 - Successful response
  • success (boolean, required): Success or Failure Example: True

  • statusCode (number, required): Status Code Example: 200

  • message (string, required): Message Example: Updated Post

json
{
  "success": true,
  "statusCode": 200,
  "message": "Updated Post"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "accountIds": [
    "aF3KhyL8JIuBwzK3m7Ly_iVrVJ2uoXNF0wzcBzgl5_12554616564525983496"
  ],
  "summary": "Hello World",
  "media": [
    {
      "url": "https://i0.wp.com/www.lifeofanarchitect.com/wp-content/uploads/2021/10/architectural-model-making-stairs.jpg",
      "caption": "Caption 1",
      "type": "video/mp4 or image/png",
      "thumbnail": "https://storage.googleapis.com/test/test/media/test.jpeg",
      "defaultThumb": "https://storage.googleapis.com/test/test/media/test.jpeg",
      "id": "Edf3323fsfsdsd"
    }
  ],
  "status": "draft",
  "scheduleDate": "string",
  "createdBy": "string",
  "followUpComment": "First comment",
  "type": "post",
  "scheduleTimeUpdated": true,
  "tags": [
    "Tag1"
  ],
  "categoryId": "string",
  "userId": "sdfdsfdsfEWEsdfsdsW32dd"
}'

Last updated October 26, 2026

Was this page helpful?